Skip to main content

suix_getAllCoins

POST

Return all Coin objects owned by an address. test
param[0]
ownerstringrequired
The owner's Sui address
param[1]
cursorstringrequired
Optional paging cursor
param[2]
limitintegerrequired
Maximum number of items per page
Responses
idinteger
jsonrpcstring
next_cursor points to the last item in the page; Reading with next_cursor will start from the next item after next_cursor if next_cursor is Some, otherwise it will start from the first item.
balancestringrequired
coinObjectIdobjectrequired
coinTypestringrequired
digestobjectrequired
previousTransactionobjectrequired
versionintegerrequired
hasNextPagebooleanrequired
nextCursorstringnull
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Bad Request"
}
cURL
curl -X POST 'https://sui-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "suix_getAllCoins",
"params": [
"0x41f5975e3c6bd5c95f041a8493ad7e9934be26e69152d2c2e86d8a9bdbd242b3",
"0x2564cd31a71cf9833609b111436d8f0f47b7f8b9927ec3f8975a1dcbf9b25564",
3
]
}'